> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Transaction

> PUT /transactions/{id}

`PUT /transactions/{id}`

Base URL: `https://tms.universal.rollout.com/api`

## Parameters

| Name | In   | Type   | Required |
| ---- | ---- | ------ | -------- |
| `id` | path | string | Yes      |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `404`  | Not Found   |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/tms.json PUT /transactions/{id}`


## OpenAPI

````yaml /openapi/tms.json PUT /transactions/{id}
openapi: 3.0.3
info:
  title: Universal TMS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://tms.universal.rollout.com/api
security: []
paths:
  /transactions/{id}:
    put:
      tags:
        - Transactions
      summary: Update Transaction
      operationId: put_transactions_id
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                transactionName:
                  type: string
                transactionType:
                  type: string
                property:
                  type: object
                  properties:
                    address:
                      type: object
                      properties:
                        type:
                          type: string
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        county:
                          type: string
                        country:
                          type: string
                      required:
                        - type
                        - street
                        - city
                        - state
                        - code
                        - country
                    yearBuilt:
                      type: number
                    mlsNumber:
                      type: string
                    price:
                      anyOf:
                        - type: number
                      nullable: true
                  required:
                    - mlsNumber
                    - price
                closingDate:
                  type: string
                escrowClosingDate:
                  type: string
                acceptanceDate:
                  type: string
                expirationDate:
                  type: string
                listingDate:
                  type: string
                status:
                  type: string
                sideRepresented:
                  type: string
                titleCompany:
                  type: string
                mortgageCompany:
                  type: string
                totalCommissionRate:
                  type: number
                totalCommissionAmount:
                  type: number
                sellSideCommissionRate:
                  type: number
                sellSideCommissionAmount:
                  type: number
                buySideCommissionRate:
                  type: number
                buySideCommissionAmount:
                  type: number
                brokerageCommissionAmount:
                  type: number
                teamCommissionAmount:
                  type: number
                referralRate:
                  type: number
                referralAmount:
                  type: number
                teamSplitPct:
                  type: number
                officeId:
                  type: string
                participatingUserIds:
                  type: array
                  items:
                    type: string
                participatingPeopleIds:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      roles:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - roles
                complianceChecklistId:
                  type: string
                pipelineId:
                  type: string
                pipelineStageId:
                  type: string
                stageId:
                  type: string
                sourceId:
                  type: string
          multipart/form-data:
            schema:
              type: object
              properties:
                transactionName:
                  type: string
                transactionType:
                  type: string
                property:
                  type: object
                  properties:
                    address:
                      type: object
                      properties:
                        type:
                          type: string
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        county:
                          type: string
                        country:
                          type: string
                      required:
                        - type
                        - street
                        - city
                        - state
                        - code
                        - country
                    yearBuilt:
                      type: number
                    mlsNumber:
                      type: string
                    price:
                      anyOf:
                        - type: number
                      nullable: true
                  required:
                    - mlsNumber
                    - price
                closingDate:
                  type: string
                escrowClosingDate:
                  type: string
                acceptanceDate:
                  type: string
                expirationDate:
                  type: string
                listingDate:
                  type: string
                status:
                  type: string
                sideRepresented:
                  type: string
                titleCompany:
                  type: string
                mortgageCompany:
                  type: string
                totalCommissionRate:
                  type: number
                totalCommissionAmount:
                  type: number
                sellSideCommissionRate:
                  type: number
                sellSideCommissionAmount:
                  type: number
                buySideCommissionRate:
                  type: number
                buySideCommissionAmount:
                  type: number
                brokerageCommissionAmount:
                  type: number
                teamCommissionAmount:
                  type: number
                referralRate:
                  type: number
                referralAmount:
                  type: number
                teamSplitPct:
                  type: number
                officeId:
                  type: string
                participatingUserIds:
                  type: array
                  items:
                    type: string
                participatingPeopleIds:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      roles:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - roles
                complianceChecklistId:
                  type: string
                pipelineId:
                  type: string
                pipelineStageId:
                  type: string
                stageId:
                  type: string
                sourceId:
                  type: string
          text/plain:
            schema:
              type: object
              properties:
                transactionName:
                  type: string
                transactionType:
                  type: string
                property:
                  type: object
                  properties:
                    address:
                      type: object
                      properties:
                        type:
                          type: string
                        street:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        code:
                          type: string
                        county:
                          type: string
                        country:
                          type: string
                      required:
                        - type
                        - street
                        - city
                        - state
                        - code
                        - country
                    yearBuilt:
                      type: number
                    mlsNumber:
                      type: string
                    price:
                      anyOf:
                        - type: number
                      nullable: true
                  required:
                    - mlsNumber
                    - price
                closingDate:
                  type: string
                escrowClosingDate:
                  type: string
                acceptanceDate:
                  type: string
                expirationDate:
                  type: string
                listingDate:
                  type: string
                status:
                  type: string
                sideRepresented:
                  type: string
                titleCompany:
                  type: string
                mortgageCompany:
                  type: string
                totalCommissionRate:
                  type: number
                totalCommissionAmount:
                  type: number
                sellSideCommissionRate:
                  type: number
                sellSideCommissionAmount:
                  type: number
                buySideCommissionRate:
                  type: number
                buySideCommissionAmount:
                  type: number
                brokerageCommissionAmount:
                  type: number
                teamCommissionAmount:
                  type: number
                referralRate:
                  type: number
                referralAmount:
                  type: number
                teamSplitPct:
                  type: number
                officeId:
                  type: string
                participatingUserIds:
                  type: array
                  items:
                    type: string
                participatingPeopleIds:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      roles:
                        type: array
                        items:
                          type: string
                    required:
                      - id
                      - roles
                complianceChecklistId:
                  type: string
                pipelineId:
                  type: string
                pipelineStageId:
                  type: string
                stageId:
                  type: string
                sourceId:
                  type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  userParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                        buySideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        sellSideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        totalCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - userId
                        - roles
                        - buySideCommissionAmount
                        - sellSideCommissionAmount
                        - totalCommissionAmount
                  peopleParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        personId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                      required:
                        - personId
                        - roles
                  transactionName:
                    type: string
                  titleCompany:
                    type: string
                  mortgageCompany:
                    type: string
                  transactionType:
                    type: string
                  property:
                    type: object
                    properties:
                      address:
                        type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          county:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                      yearBuilt:
                        type: number
                      mlsNumber:
                        type: string
                      price:
                        anyOf:
                          - type: number
                        nullable: true
                    required:
                      - mlsNumber
                      - price
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  escrowClosingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  acceptanceDate:
                    anyOf:
                      - type: string
                    nullable: true
                  expirationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  listingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  status:
                    type: string
                  stage:
                    type: string
                  sideRepresented:
                    type: string
                  totalCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  totalCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  brokerageCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  referralRate:
                    anyOf:
                      - type: number
                    nullable: true
                  referralAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamSplitPct:
                    anyOf:
                      - type: number
                    nullable: true
                  source:
                    type: string
                  sourceId:
                    anyOf:
                      - type: string
                    nullable: true
                  clientRepAgreementSignedDate:
                    anyOf:
                      - type: string
                    nullable: true
                  description:
                    type: string
                  officeId:
                    anyOf:
                      - type: string
                    nullable: true
                required:
                  - id
                  - originalIds
                  - original
                  - created
                  - updated
                  - rolloutUpdated
                  - userParticipants
                  - peopleParticipants
                  - transactionName
                  - titleCompany
                  - mortgageCompany
                  - transactionType
                  - property
                  - closingDate
                  - escrowClosingDate
                  - acceptanceDate
                  - expirationDate
                  - listingDate
                  - status
                  - stage
                  - sideRepresented
                  - totalCommissionRate
                  - totalCommissionAmount
                  - sellSideCommissionRate
                  - sellSideCommissionAmount
                  - buySideCommissionRate
                  - buySideCommissionAmount
                  - brokerageCommissionAmount
                  - teamCommissionAmount
                  - referralRate
                  - referralAmount
                  - teamSplitPct
                  - source
                  - sourceId
                  - clientRepAgreementSignedDate
                  - description
                  - officeId
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  userParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                        buySideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        sellSideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        totalCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - userId
                        - roles
                        - buySideCommissionAmount
                        - sellSideCommissionAmount
                        - totalCommissionAmount
                  peopleParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        personId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                      required:
                        - personId
                        - roles
                  transactionName:
                    type: string
                  titleCompany:
                    type: string
                  mortgageCompany:
                    type: string
                  transactionType:
                    type: string
                  property:
                    type: object
                    properties:
                      address:
                        type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          county:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                      yearBuilt:
                        type: number
                      mlsNumber:
                        type: string
                      price:
                        anyOf:
                          - type: number
                        nullable: true
                    required:
                      - mlsNumber
                      - price
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  escrowClosingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  acceptanceDate:
                    anyOf:
                      - type: string
                    nullable: true
                  expirationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  listingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  status:
                    type: string
                  stage:
                    type: string
                  sideRepresented:
                    type: string
                  totalCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  totalCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  brokerageCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  referralRate:
                    anyOf:
                      - type: number
                    nullable: true
                  referralAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamSplitPct:
                    anyOf:
                      - type: number
                    nullable: true
                  source:
                    type: string
                  sourceId:
                    anyOf:
                      - type: string
                    nullable: true
                  clientRepAgreementSignedDate:
                    anyOf:
                      - type: string
                    nullable: true
                  description:
                    type: string
                  officeId:
                    anyOf:
                      - type: string
                    nullable: true
                required:
                  - id
                  - originalIds
                  - original
                  - created
                  - updated
                  - rolloutUpdated
                  - userParticipants
                  - peopleParticipants
                  - transactionName
                  - titleCompany
                  - mortgageCompany
                  - transactionType
                  - property
                  - closingDate
                  - escrowClosingDate
                  - acceptanceDate
                  - expirationDate
                  - listingDate
                  - status
                  - stage
                  - sideRepresented
                  - totalCommissionRate
                  - totalCommissionAmount
                  - sellSideCommissionRate
                  - sellSideCommissionAmount
                  - buySideCommissionRate
                  - buySideCommissionAmount
                  - brokerageCommissionAmount
                  - teamCommissionAmount
                  - referralRate
                  - referralAmount
                  - teamSplitPct
                  - source
                  - sourceId
                  - clientRepAgreementSignedDate
                  - description
                  - officeId
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                  created:
                    type: string
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  userParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                        buySideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        sellSideCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                        totalCommissionAmount:
                          anyOf:
                            - type: number
                          nullable: true
                      required:
                        - userId
                        - roles
                        - buySideCommissionAmount
                        - sellSideCommissionAmount
                        - totalCommissionAmount
                  peopleParticipants:
                    type: array
                    items:
                      type: object
                      properties:
                        personId:
                          type: string
                        roles:
                          type: array
                          items:
                            type: string
                      required:
                        - personId
                        - roles
                  transactionName:
                    type: string
                  titleCompany:
                    type: string
                  mortgageCompany:
                    type: string
                  transactionType:
                    type: string
                  property:
                    type: object
                    properties:
                      address:
                        type: object
                        properties:
                          type:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          code:
                            type: string
                          county:
                            type: string
                          country:
                            type: string
                        required:
                          - type
                          - street
                          - city
                          - state
                          - code
                          - country
                      yearBuilt:
                        type: number
                      mlsNumber:
                        type: string
                      price:
                        anyOf:
                          - type: number
                        nullable: true
                    required:
                      - mlsNumber
                      - price
                  closingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  escrowClosingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  acceptanceDate:
                    anyOf:
                      - type: string
                    nullable: true
                  expirationDate:
                    anyOf:
                      - type: string
                    nullable: true
                  listingDate:
                    anyOf:
                      - type: string
                    nullable: true
                  status:
                    type: string
                  stage:
                    type: string
                  sideRepresented:
                    type: string
                  totalCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  totalCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  sellSideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionRate:
                    anyOf:
                      - type: number
                    nullable: true
                  buySideCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  brokerageCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamCommissionAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  referralRate:
                    anyOf:
                      - type: number
                    nullable: true
                  referralAmount:
                    anyOf:
                      - type: number
                    nullable: true
                  teamSplitPct:
                    anyOf:
                      - type: number
                    nullable: true
                  source:
                    type: string
                  sourceId:
                    anyOf:
                      - type: string
                    nullable: true
                  clientRepAgreementSignedDate:
                    anyOf:
                      - type: string
                    nullable: true
                  description:
                    type: string
                  officeId:
                    anyOf:
                      - type: string
                    nullable: true
                required:
                  - id
                  - originalIds
                  - original
                  - created
                  - updated
                  - rolloutUpdated
                  - userParticipants
                  - peopleParticipants
                  - transactionName
                  - titleCompany
                  - mortgageCompany
                  - transactionType
                  - property
                  - closingDate
                  - escrowClosingDate
                  - acceptanceDate
                  - expirationDate
                  - listingDate
                  - status
                  - stage
                  - sideRepresented
                  - totalCommissionRate
                  - totalCommissionAmount
                  - sellSideCommissionRate
                  - sellSideCommissionAmount
                  - buySideCommissionRate
                  - buySideCommissionAmount
                  - brokerageCommissionAmount
                  - teamCommissionAmount
                  - referralRate
                  - referralAmount
                  - teamSplitPct
                  - source
                  - sourceId
                  - clientRepAgreementSignedDate
                  - description
                  - officeId
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````